Name:           libgdither
Version:        0.6
Release:        20
Summary:        A library for performing audio dithering on PCM samples
License:        GPLv2+
URL:            http://plugin.org.uk/libgdither/
Source0:        http://plugin.org.uk/libgdither/libgdither-%{version}.tar.gz

BuildRequires:  gcc-c++ fftw-devel >= 3.0.0

Patch0001:      libgdither-0.6-default.patch
Patch0002:      libgdither-0.6-gavl.patch
Patch0003:      libgdither-0.6-ldflags.patch

%description
Libgdither is a GPL'd library library for performing audio dithering on PCM samples. The dithering
process should be carried out before reducing the bit width of PCM audio data (eg. float to 16 bit
int conversions) to preserve audio quality.

It can do conversions between any combination of:

in                              out (optionally interleaved)
-------------------------------------------------------------
normalised mono float           8bit unsigned ints
normalised mono double          16bit signed ints
                                32bit signed ints
                                normalised float
                                normalised double

At any bitdepth supported by the input and output formats.

%package        devel
Summary:        Development documents for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Head files,libraries and other development documents for %{name}.

%prep
%autosetup -p1

%build
export INIT_CFLAGS="${RPM_OPT_FLAGS}" LDFLAGS="%{build_ldflags}"
%make_build

%install
%make_install LIBDIR=%{_libdir}
find $RPM_BUILD_ROOT -name '*.la' | xargs rm -rf
sed -i -e 's|/usr/local|%{_prefix}|g'     $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libgdither.pc
sed -i -e 's|%{_prefix}/lib|%{_libdir}|'  $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libgdither.pc

%check
%if %{?_with_check:1}%{!?_with_check:0}
make test CFLAGS="%{optflags} -I%{_builddir}/%{?buildsubdir}" --std=c99 -Werror
%endif

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%license COPYING
%doc README
%{_libdir}/*.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Mar 21 2020 yanglijin <yanglijin@huawei.com> - 0.6-20
- close check

* Sat Dec 21 2019 zhouyihang <zhouyihang1@huawei.com> - 0.6-19
- Package init
